% This is the main script file. 
% You make pieces of code run by highlighting them, and then hitting the F9
% key.

% This code will build a "fractal mountain", like some background
% landscapes in computer games, in stages. 

% This is a 200 by 200 table of heights, all initially zero
% (The mountain starts off being flat)

mount_table_size = 200; 
mountain = zeros( mount_table_size, mount_table_size ); 

% We will build the mountain by adding "bumps" of various sizes
% The bumps are smaller tables of numbers, which we will add into the larger
% table, in random places

bump = pyramid_bump( 50 );
surf( bump ) % Always look at every variable, so you know what it is ! 


mountain = add_bump( mountain, bump ); 
surf( mountain )

surf( mountain, 'EdgeColor', 'none' )

% Try adding in lots of bumps

for loopcount = 1:200
    mountain = add_bump( mountain, bump ); 
end
surf( mountain )

colormap( copper ) % This changes the mapping from height to color
colormap( bone )

surf( mountain, 'EdgeColor', 'none', 'LineStyle', 'none', 'FaceLighting', 'phong'  ) % This makes the light come from the side, with some shading

surfl( mountain,'light' )
shading interp
colormap bone
% Now try adding in more bumps of different sizes



