function bump = pyramid_bump( n )
% creates a n by n table of numbers, that looks like a bump in the
% shape of a pyramid

bump = zeros( n, n ); 

factor = 2/n;

for row = 1:n
    for col = 1:n
        height = min( [ factor * row, factor * (n+1-row), ...
                        factor * col, factor * (n+1-col) ] ); 
        bump( row, col ) = height; 
    end
end
